<?php
namespace Mirasvit\LayeredNavigation\Block\Adminhtml\Group\Attributes;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Block\Adminhtml\Group\Attributes
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Block\Adminhtml\Group\Attributes implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\LayeredNavigation\Model\Config\Source\AttributeSource $attributeSource, \Mirasvit\LayeredNavigation\Repository\GroupRepository $groupRepository, \Magento\Backend\Block\Template\Context $context)
    {
        $this->___init();
        parent::__construct($attributeSource, $groupRepository, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
